<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Document</title>
    </head>
    <body>
        <button id="sendMessage">Send Message</button>

        <script>
            const ws = new WebSocket(
                'wss://xus64lgm2a.execute-api.us-east-1.amazonaws.com/develop/');
            ws.onopen = (d) => console.log('opened', d);
            ws.onclose = () => console.log('closed');

            document.getElementById('sendMessage').onclick = () => {
                const message = {
                    action: 'sendMessage',
                    payload: {
                        message: 'Random message'
                    },
                };

                ws.send(JSON.stringify(message));
            }

            ws.onmessage = (e) => console.log(e)
        </script>
    </body>